--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Content_for will store the given block in an instance variable for later use in another template or in the layout.
- !ruby/struct:SM::Flow::P 
  body: The name of the instance variable is content_for_&lt;name&gt; to stay consistent with @content_for_layout which is used by ActionView's layouts.
- !ruby/struct:SM::Flow::P 
  body: "Example:"
- !ruby/struct:SM::Flow::VERB 
  body: "  content_for(&quot;header&quot;) do\n    h1 &quot;Half Shark and Half Lion&quot;\n  end\n"
- !ruby/struct:SM::Flow::P 
  body: If used several times, the variable will contain all the parts concatenated.
full_name: Markaby::Builder#content_for
is_singleton: false
name: content_for
params: (name, &block)
visibility: public
